Package Details: lua-md5 1.2-2

Git Clone URL: https://aur.archlinux.org/lua-md5.git (read-only)
Package Base: lua-md5
Description: Basic cryptographic facilities for Lua.
Upstream URL: https://github.com/keplerproject/md5
Licenses: MIT
Submitter: thebodzio
Maintainer: thebodzio
Last Packager: thebodzio
Votes: 1
Popularity: 0.009568
First Submitted: 2015-08-23 22:03
Last Updated: 2015-10-11 11:46

Dependencies (1)

Required by (0)

Sources (2)

Latest Comments

thebodzio commented on 2015-10-12 10:37

My pleasure :}

archi commented on 2015-10-11 13:48

Thank you :)

thebodzio commented on 2015-10-11 11:53

Thank you for the heads-up! I've updated my package.

The problem is, the original module is supposed to be used with lua 5.1. To make it work with later versions I'm changing "5.1" in "config" file to whatever is required (as you can see in build() section of my PKGBUILD). The bottom line is: I can't guarantee that everything will work as it supposed to. My hope is, that since the algorithm for md5 is straightforward enough, it won't have to be updated between minor lua versions.

archi commented on 2015-10-10 18:49

Not working anymore for lua 5.3 (module not found).